Update a billing package
curl --request PATCH \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated description for the billing package",
"enable": false,
"label": "Updated Billing Label"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id}"
payload := strings.NewReader("{\n \"description\": \"Updated description for the billing package\",\n \"enable\": false,\n \"label\": \"Updated Billing Label\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Updated description for the billing package',
enable: false,
label: 'Updated Billing Label'
})
};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id}"
payload = {
"description": "Updated description for the billing package",
"enable": False,
"label": "Updated Billing Label"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"createdAt": "2026-01-01T00:00:00Z",
"enable": true,
"id": "00000000-0000-0000-0000-000000000000",
"label": "Monthly Volume Billing",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"organizationId": "00000000-0000-0000-0000-000000000000",
"type": "volume",
"updatedAt": "2026-01-01T00:00:00Z",
"accountTarget": {
"aliases": [
"account_alpha",
"account_beta"
],
"portfolioId": "00000000-0000-0000-0000-000000000000",
"segmentId": "00000000-0000-0000-0000-000000000000"
},
"assetCode": "BRL",
"countMode": "perRoute",
"creditAccountAlias": "account_fees_credit",
"debitAccountAlias": "account_fees_debit",
"deletedAt": "2026-06-01T00:00:00Z",
"description": "Charges per completed transaction route",
"discountTiers": [
{
"discountPercentage": "10.00",
"minQuantity": 1000
}
],
"eventFilter": {
"status": "APPROVED",
"transactionRoute": "payment_route"
},
"feeAmount": "50.00",
"freeQuota": 100,
"maintenanceCreditAccount": "account_maintenance_credit",
"pricingModel": "tiered",
"tiers": [
{
"minQuantity": 0,
"unitPrice": "1.50",
"maxQuantity": 999
}
]
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Update a billing package
PATCH
/
v2
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
billing-packages
/
{billing_package_id}
Update a billing package
curl --request PATCH \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated description for the billing package",
"enable": false,
"label": "Updated Billing Label"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id}"
payload := strings.NewReader("{\n \"description\": \"Updated description for the billing package\",\n \"enable\": false,\n \"label\": \"Updated Billing Label\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Updated description for the billing package',
enable: false,
label: 'Updated Billing Label'
})
};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/billing-packages/{billing_package_id}"
payload = {
"description": "Updated description for the billing package",
"enable": False,
"label": "Updated Billing Label"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"createdAt": "2026-01-01T00:00:00Z",
"enable": true,
"id": "00000000-0000-0000-0000-000000000000",
"label": "Monthly Volume Billing",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"organizationId": "00000000-0000-0000-0000-000000000000",
"type": "volume",
"updatedAt": "2026-01-01T00:00:00Z",
"accountTarget": {
"aliases": [
"account_alpha",
"account_beta"
],
"portfolioId": "00000000-0000-0000-0000-000000000000",
"segmentId": "00000000-0000-0000-0000-000000000000"
},
"assetCode": "BRL",
"countMode": "perRoute",
"creditAccountAlias": "account_fees_credit",
"debitAccountAlias": "account_fees_debit",
"deletedAt": "2026-06-01T00:00:00Z",
"description": "Charges per completed transaction route",
"discountTiers": [
{
"discountPercentage": "10.00",
"minQuantity": 1000
}
],
"eventFilter": {
"status": "APPROVED",
"transactionRoute": "payment_route"
},
"feeAmount": "50.00",
"freeQuota": 100,
"maintenanceCreditAccount": "account_maintenance_credit",
"pricingModel": "tiered",
"tiers": [
{
"minQuantity": 0,
"unitPrice": "1.50",
"maxQuantity": 999
}
]
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Organization ID (UUID)
Ledger ID (UUID)
BillingPackage ID (UUID)
Body
application/json
Response
OK
Example:
"2026-01-01T00:00:00Z"
Example:
true
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"Monthly Volume Billing"
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"volume"
Example:
"2026-01-01T00:00:00Z"
Show child attributes
Show child attributes
Example:
"BRL"
Example:
"perRoute"
Example:
"account_fees_credit"
Example:
"account_fees_debit"
Example:
"2026-06-01T00:00:00Z"
Example:
"Charges per completed transaction route"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"50.00"
Example:
100
Example:
"account_maintenance_credit"
Example:
"tiered"
Show child attributes
Show child attributes
Was this page helpful?

